# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Pure-perl Lanman and NT MD4 hash functions
Name:		perl-Crypt-SmbHash
Version:	0.12
Release:	17.%{__distinit}%{__distvers}
License:	GPLv2+
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Crypt-SmbHash/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BJ/BJKUIT/Crypt-SmbHash-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Digest::MD4)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Digest::MD4)

%description
This module generates Lanman and NT MD4 style password hashes, using perl-only
code for portability. The module aids in the administration of Samba style
systems.

%prep
%setup -q -n Crypt-SmbHash-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Crypt/
%{_mandir}/man3/Crypt::SmbHash.3pm*

%changelog
* Tue Jun 19 2012 Paul Howarth <paul@city-fan.org> 0.12-17
- BR: perl(Carp) and perl(Exporter)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> 0.12-8
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.12-7
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  8 2010 Paul Howarth <paul@city-fan.org> 0.12-6
- Fix dist tag for RHEL-6 Beta

* Sat Feb 20 2010 Paul Howarth <paul@city-fan.org> 0.12-5
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep  8 2009 Paul Howarth <paul@city-fan.org> 0.12-4
- Define RPM macros in global scope

* Tue Nov  4 2008 Paul Howarth <paul@city-fan.org> 0.12-3
- Clarify license as GPL version 2 or later
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 0.12-2
- Fix dist tag for development builds and Fedora 7 onwards
- Fix argument order for find with -depth
- Buildreq perl(ExtUtils::MakeMaker)
- define %%{__id_u} in a more portable way

* Tue Jan 17 2006 Paul Howarth <paul@city-fan.org> 0.12-1
- Initial build
